Ubuntu Server 14.04 上安装 OpenSSL 1.0.2

在 Ubuntu Server 14.04上默认的 OpenSSL 的版本还是 OpenSSL 1.0.1f,使用 apt-get 还无法升级,因此只能通过编译来安装了。

查看现有版本

/usr/bin/openssl version
OpenSSL 1.0.1f 6 Jan 2014

下载并解压

wget https://www.openssl.org/source/openssl-1.0.2l.tar.gz
tar -xzvf openssl-1.0.2l.tar.gz

编译安装

cd openssl-1.0.2l
sudo ./config
sudo make install

建立新版连接

sudo ln -sf /usr/local/ssl/bin/openssl `which openssl`

查看新版本

/usr/bin/openssl version
OpenSSL 1.0.2l  25 May 2017

本文参与腾讯云自媒体分享计划,欢迎正在阅读的你也加入,一起分享。

我来说两句

0 条评论
登录 后参与评论

相关文章

  • Vagrant实战之Vagrantfile

    参考: https://www.vagrantup.com/docs/vagrantfile/

    kongxx
  • 使用 pyenv 管理多个版本 python 环境

    kongxx
  • 基于Struts2的war包在WebLogic上部署找不到Action问题及解决办法

    Struts2的工程,使用了Convention Plugin,在eclipse里测试的时候可以运行,但是部署到WebLogi中时报错找不到Action。

    kongxx
  • 解决报错libssl.so.1.1: cannot open shared object file: No such file or directory

    Centos7默认提供的openssl版本是1.0.2的,某些php扩展或者其他软件依赖1.1以上版本

    沈唁
  • 详解Linux(centos7)下安装OpenSSL安装图文方法

    OpenSSL是一个开源的ssl技术,由于我需要使用php相关功能,需要获取https的文件所以必须安装这个东西了,下面我整理了两种关于OpenSSL安装配置方...

    砸漏
  • 使用openssl 生成证书

    w候人兮猗
  • 【解决pip不可用】windows/linux下python3pip is configured with locations that require TLS/SSL, however the..

    查看openssl安装包,发现缺少openssl-devel包 [root@localhost ~]# rpm -aq|grep openssl opens...

    瑞新
  • windows/linux环境pytho

    1,去下载winopessl 入口 直接下载第一行exe大小为3m左右的安装包(测试版) 鉴于部分同学重装可能操作不当,推荐执行下面命令 (或可以重新编...

    py3study
  • Mac上更新Ruby

    在项目中要适配iOS10,要使用cocoapods更新第三方库,而目前使用的ruby版本是Mac系统自带的1.8.7。所以需要对ruby进行升级。这里使用rvm...

    s_在路上
  • python编译安装ssl的问题解决

    python编译安装需要ssl模块才能使用pip,且ssl需要支持x509, 如果openssl版本太低,则无法安装ssl对应模块。如果支持ssl,在conf...

    锦小年

扫码关注云+社区

领取腾讯云代金券